<?php
//---------------------------------------------------------------------------------------------------------
// 12/Junio/2019 ==> Vamos a recoger las acciones, sólo si se ha usado nuestro recaptcha:
//---------------------------------------------------------------------------------------------------------
//TOdas las funciones que defina aquí deben ser empezar por grecaptcha_

function grecaptcha_grecaptcha(){
//Hasta ahora lo lógico era capturar el valor de la variable "action"
	$captcha = Getter::get('g-recaptcha-response', NULL);
	/*echo("<pre>");
	var_dump($captcha);
	echo("</pre>");*/
	$secretKey = '6Le0X6oUAAAAAI3UTNrT_UuSrdK-B3w5JqWP-ibG';
	$ip = $_SERVER['REMOTE_ADDR'];
	$url = 'https://www.google.com/recaptcha/api/siteverify';
	$ch = curl_init();
	curl_setopt_array($ch, [
		CURLOPT_URL => $url,
		CURLOPT_POST => true,
		CURLOPT_POSTFIELDS => [
			'secret' => $secretKey,
			'response' => $captcha,
			'remoteip' => $ip
		],
		CURLOPT_RETURNTRANSFER => true
	]);
	$output = curl_exec($ch);
	curl_close($ch);
	$responseKeys = json_decode($output);
	//-------------------------------
	//************PRUEBAS************
	//-------------------------------
	//$responseKeys->success = false;
	//-------------------------------
	//************PRUEBAS************
	//-------------------------------
	/*
	Email::sendMail(array(
		//Parámetros básicos
		'destinatario' => 'pedro@arminet.es,Esto es una prueba',
		'asunto' => 'valor respuesta',
		'contenido' => 'La respuesta es: ' . (($responseKeys->success) ? 'correcto' : 'incorrecto'),
		'templateFile' => 'email.php'
	));
	*/
	if($responseKeys->success) {
		//echo("catpcha correcto");
	}else{
		//echo("catpcha IN-correcto");
		$actual_link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
		//Sesion::setReloadPage($actual_link);
		//Además eliminamos todo el "get" y el "post" porque están tratando acceder dede un robot:
		Getter::cleanReceived();
	}
	
	//echo("---------------------------------<br />\n");
}

/*
	$accion = Getter::get('accion', NULL);
	if ( $accion == 'logout'){
		Usuario::logout();
		//Recargamos la página la de inicio
		Sesion::commit();
		Sesion::reloadPage(Shop::$configuracion->url);
	}
	
	if ( $accion == 'cartLogout'){
		CabeceraCesta::cartLogout();
		//Recargamos la página
		Sesion::commit();
		//Recargamos la página a dónde estemos
			Sesion::setReloadPage(Sesion::getReloadPage() | true);
	}
	
	if ( $accion == 'login'){
		$usuario = Getter::get('usuario', '');
		$password = Getter::get('password', '');
		$redirigir_a = Getter::get('redirigir_a', '');
		if ( ($usuario != '') && ($password != '' ) ){
			$resultado_login = Usuario::login($usuario, $password);
			//Login correcto?
			//si:
			if (is_a($resultado_login, 'Usuario')){
				Sesion::remove('resultado_login');
				Sesion::remove('datos_login');
				Sesion::commit();
				if ($redirigir_a != ''){
					Sesion::reloadPage(Shop::$configuracion->url . $redirigir_a);
				}
			}else{
				//no:
				$datos_login = $usuario;
				Sesion::set('resultado_login', $resultado_login);
				Sesion::set('datos_login', $datos_login);
			}
			//Recargamos la página
			Sesion::setReloadPage(Sesion::getReloadPage() | true);
		}
	}

*/